=== debian/changelog ===
unixcw (3.0-2) unstable; urgency=low

  * Fix library dependencies: alsa, pthread, m
    - Add libcw3-dev Depends on libasound2-dev
    - Drop Replaces: unixcw{-dev} (see Bug: #652618)
  * Reapply lost patch: Fix FTBFS on GNU/kFreeBSD. Closes: #403043 (again).
  * Set libcw3 debian package section to libs

 -- Kamal Mostafa <kamal@whence.com>  Thu, 22 Dec 2011 14:44:54 -0800

unixcw (3.0-1) unstable; urgency=low

  * Prepare Debian packages for upstream package version 3.0.
  * New maintainer.  Closes: #554134.

 -- Kamil Ignacak <acerion@wp.pl>  Sat, 19 Nov 2011 17:06:21 +0100

unixcw (2.3-13) unstable; urgency=low

  * QA upload.
  * Bump debhelper compatibility level to 7
  * Replace "dh_clean -k" by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Czech (Vítězslav Kotrla).  Closes: #535142
    - Slovak (Ivan Masár).  Closes: #535161
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #558064
    - Asturian (marquinos).  Closes: #561399
    - Italian (Vincenzo Campanella).  Closes: #561648

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Dec 2009 09:10:13 +0100

unixcw (2.3-12) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 03 Nov 2009 07:14:08 +0000

unixcw (2.3-11) unstable; urgency=low

  * Only install cw.7.gz, omit CW.7.gz. Closes: #229696.
  * Several lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 20 Nov 2008 19:59:04 +0100

unixcw (2.3-10) unstable; urgency=low

  * Build depend on mawk|gawk so a correct .pc file is created on
    hppa. Closes: #488988.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 19 Jul 2008 15:48:46 +0200

unixcw (2.3-9) unstable; urgency=low

  * Add datarootdir to Makefile.inc.in.
  * Use 'make clean' instead of 'make distclean'.
  * Remove config.status when cleaning, so configure will be called
    and Makefile.inc will be created. Closes: #463492.
  * More manual page fixes to satisfy lintian.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 09 Feb 2008 12:37:28 +0100

unixcw (2.3-8) unstable; urgency=low

  * Menu transition to "Amateur Radio".
  * Bump standards version.
  * Many lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 31 Jan 2008 22:15:52 +0100

unixcw (2.3-7) unstable; urgency=low

  * Remove leftover debconf stuff from postinst/postrm. Thanks to
    Lucas Nussbaum. Closes: #431273.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 06 Jul 2007 09:57:09 +0200

unixcw (2.3-6) unstable; urgency=low

  * For xcwcp we use the default sound option, which is the soundcard
    instead of the console. This also removes the need for setting the
    suid bit and asking debconf questions. Closes: #416138.
  * Portuguese translation for debconf messages. Closes: #422902.
  * This bug seems to have been fixed in this version. Closes: #231518.
    Thanks Yoshio Nakamura for reporting!

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 12 May 2007 16:55:23 +0200

unixcw (2.3-5) unstable; urgency=low

  * Install the cw.7 manual page into the unixcw package.
  * Adapt README.Debian, binaries in the original source are no longer
    statically linked.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  6 Feb 2007 19:15:09 +0100

unixcw (2.3-4) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD. Thanks Petr Salinger. Closes: #403043.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 18 Dec 2006 09:45:19 +0100

unixcw (2.3-3) unstable; urgency=low

  * Fix FTBFS on amd64. Thanks to Andreas Henriksson.
    Closes: #400190, #401087.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Dec 2006 20:16:51 +0100

unixcw (2.3-2) unstable; urgency=low

  * Install libcw.pc into the unixcw-dev package.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 29 Nov 2006 20:00:03 +0100

unixcw (2.3-1) unstable; urgency=low

  * New upstream. Some comments by the author follows below.
  * An occurrence but not problem, presumably. Closes: #229690.
  * The gap now limits at 80 dots. Closes: #237981.
  * Dictionaries are fully configurable using files read at program
    startup. Closes: #239001.
  * Probably unavoidable.  To track CW speeds, the program needs to
    see a differential between dot and dash.  If fed only, say, dots, it has no
    way of telling if these are dots or dashes, so cannot vary or auto-determine
    speeds. Closes: #261729.
  * I couldn't tell if this was a joke report.  I could put a blank
    entry in the table, one side containing an ASCII ' ' and the other containing
    its representation in dots and dashes as " ", but it wouldn't look useful.
    Or perhaps I misread the request? Closes: #229694.
  * Fixed by holding the soundcard open in cwlib for ~10 seconds of inactivity.
    Closes: #230579.
  * Other bugs fixed. Closes: #231418, #236415, #222128, #232481, #261731, #292395.
  * I thought about this, and it's surprisingly hard, given the architecture
    of cwlib. The library's really only happy talking to a genuine sound
    device. Closes: #222432.
  * The 4WPM minimum is a careful balance between putting only a
    second or so of audio data into the sound card and ensuring it doesn't run
    out of data during the longest (dash) element.  Less than 4 is tricky.  Well,
    3 might just be doable, but 2 is out, and frankly, anything less than 4 loses
    the rhythm to the point where it's not really usable anyway. So, rejected.
    Closes: #241973.
  * Not done by xcwcp because it's really a tutor, not a reader
    program.  Adding this would bring in a whole slew of software tone filtering
    issues.  This is just the type of program that one could write around cwlib,
    though, so feel free to go for it!  (In fact I have a prototype from several
    years ago that reads raw audio files, finds tone edges, and then has a go at
    printing out CW read from it -- perhaps I should dust it off..).
    Closes: #263356.
  * Bugs not tackled: 222010, 222126, 236411, 261730, 261732.


