=== debian/control ===
Source: unixcw
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk
Homepage: http://unixcw.sourceforge.net/

Package: libcw3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: cw | cwcp | xcwcp
Description: Shared library for Morse programs
 Shared library files for cw, cwcp and xcwcp programs.
 The library handles Morse code signals and generates sound
 on console buzzer or sound card through OSS or ALSA.

Package: libcw3-dev
Section: libdevel
Architecture: any
Depends: libcw3 (= ${binary:Version}), ${misc:Depends}, libasound2-dev
Description: Development files for Morse programs
 Static library, headers and manual page for development of
 programs that handle (i.e. send and receive) Morse code.

Package: cw
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor with command line user interface
 The package provides two executables:
  * cw - simple command line application that converts
    keyboard keys to Morse code that can be heard through
    console buzzer or sound card.
  * cwgen - program that generates groups of random
    characters for Morse code practice, that can be
    piped to cw program.
 .
 Package also includes examples files with embedded commands.
 These commands can be used to change speed, tone, spacing
 between characters and much more. The files have 'cw'
 extension.

Package: cwcp
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor, text user interface
 Interactive Morse code tutor with text-based (ncurses) user
 interface. It allows menu selection from a number of sending
 modes, and also permits character sounding options, such as
 the tone pitch, and sending speed, to be varied from the
 keyboard using a full-screen user interface.

Package: xcwcp
Architecture: any
Depends: libcw3, ${shlibs:Depends}, ${misc:Depends}, debconf|debconf-2.0
Description: Morse code tutor, X Window user interface
 Interactive Morse code tutor with X Window-based (QT4)
 interface. It lets you choose from a number of options for
 practice, including sending random characters, random words,
 and characters from the keyboard. It will also receive Morse
 code that you send using the keyboard or mouse as a Morse
 keyer, and display the characters it sees.
