=== debian/changelog ===
unixcw (3.0.1-3) unstable; urgency=low

  * Fixing problems with building. Closes: #663947.

 -- Kamil Ignacak <acerion@wp.pl>  Thu, 15 March 2012 00:11:14 +0100

unixcw (3.0.1-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #652526
  * [Debconf translation updates]
  * Portuguese (Pedro Ribeiro).  Closes: #654962
  * Slovak (Ivan Masár).  Closes: #655464
  * Dutch; (Jeroen Schot).  Closes: #655718
  * Portuguese (Pedro Ribeiro).  Closes: #655766
  * Russian (Yuri Kozlov).  Closes: #655830
  * German (Chris Leick).  Closes: #656080
  * Czech (Michal Simunek).  Closes: #656240
  * French (Steve R. Petruzzello).  Closes: #656419
  * Indonesian (Mahyuddin Susanto).  Closes: #657462
  * Danish (Joe Hansen).  Closes: #657500
  * Polish (Michał Kułach).  Closes: #657513
  * Swedish (Martin Bagge / brother).  Closes: #657549
  * Spanish; (Jaime Robles).  Closes: #657744
  * Spanish; (Jaime Robles).  Closes: #657744
  * L10N process has been managed by Christian Perrier
    <bubulle@debian.org>

 -- Kamil Ignacak <acerion@wp.pl>  Mon, 30 Jan 2012 20:08:49 +0100

unixcw (3.0.1-1) unstable; urgency=low

  * Prepare unixcw source package for new release: 3.0.1
  * Remove source of lintian warnings:
     - W: cw: maintainer-script-ignores-errors preinst
     - W: cwcp: maintainer-script-ignores-errors preinst
     - W: libcw3-dev: manpage-has-errors-from-man ...
     - W: xcwcp: maintainer-script-ignores-errors preinst

 -- Kamil Ignacak <acerion@wp.pl>  Sun, 08 Jan 2012 13:22:36 +0100

unixcw (3.0-5) unstable; urgency=high

  * Remove dangling symlinks /usr/share/doc/{cw,cwcp,xcwcp}
    (Thanks Bob Proulx). Closes: #653411.
  * Cherry-pick from upstream: {0008,0009}- patches for mawk

 -- Kamal Mostafa <kamal@whence.com>  Mon, 02 Jan 2012 11:33:19 -0800

unixcw (3.0-4) unstable; urgency=high

  * Fix FTBFS in Debian kfreebsd (missing snd_pcm test routines)

 -- Kamal Mostafa <kamal@whence.com>  Sat, 31 Dec 2011 11:56:45 -0800

unixcw (3.0-3) unstable; urgency=high

  * Fix upgrade from unixcw:
    - libcw3{-dev} Replaces and Conflicts unixcw{-dev}. Closes: #653411
  * Cherry-pick from upstream: 0006-Adding-Makefile.inc-to-clean-target.patch

 -- Kamal Mostafa <kamal@whence.com>  Wed, 28 Dec 2011 21:27:48 -0800
