=== src/cwcp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -20,7 +20,7 @@
 CC	= $(AC_CC)
 CFLAGS	= $(AC_CFLAGS) $(AC_DEFS) -I../libcw -I../cwutils
 GZIP	= $(AC_GZIP)
-LIBS	= $(AC_LIBS) -L../libcw -lcw
+LIBS	= -lcurses -L../libcw -lcw
 
 SHELL	= /bin/sh
