=== src/cwgen/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2001-2006  Simon Baldwin (simon_baldwin@yahoo.com)
-# Copyright (C) 2011       Kamil Ignacak (acerion@wp.pl)
+# Copyright (C) 2011-2012  Kamil Ignacak (acerion@wp.pl)
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -31,7 +31,7 @@
 cwgen.o: cwgen.c
 
 cwgen: cwgen.o
-	$(CC) -o $@ cwgen.o ../cwutils/i18n.o ../cwutils/cmdline.o \
+	$(CC) $(LDFLAGS) -o $@ cwgen.o ../cwutils/i18n.o ../cwutils/cmdline.o \
 	../cwutils/memory.o
 
 # Install targets.
