=== debian/changelog ===
unixcw (3.0.2-1) unstable; urgency=low

  * Fixing FTBFS (problems with config.* files). I think that thanks to
    new entry in debian/source/options the fix is permanent. Closes: #676752.
  * Removing 'debian/' from unixcw_3.0.2-1.debian.tar.gz. Upstream version
    bump to avoid problems with upload.

 -- Kamil Ignacak <acerion@wp.pl>  Mon, 18 June 2012 23:03:08 +0100
