=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamil Ignacak <acerion@wp.pl>, Kamal Mostafa <kamal@whence.com>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk
+Build-Depends: debhelper (>=7), libasound2-dev, libqt4-dev, libncurses5-dev, po-debconf, autotools-dev, mawk|gawk, dpkg-dev (>= 1.16.1~)
 Homepage: http://unixcw.sourceforge.net/
 
 Package: libcw3
