=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# Enable hardening.
# http://wiki.debian.org/Hardening#dpkg-buildflags
DPKG_EXPORT_BUILDFLAGS = yes
include /usr/share/dpkg/default.mk
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)


CFLAGS = -Wall -g -std=gnu99

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
# Add here commands to configure the package.
	QT4DIR="/usr/share/qt4" CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

# Add here commands to compile the arch part of the package.
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status

# Add here commands to compile the indep part of the package.
#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config.status config.log

# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

# Add here commands to install the arch part of the package into
# debian/tmp.
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	install -d debian/tmp/usr/share/cw
	install -m 0644 src/cw/demo.cw debian/tmp/usr/share/cw
	install -m 0644 src/cw/prelude.cw debian/tmp/usr/share/cw
	install -m 0644 src/cw/test.cw debian/tmp/usr/share/cw
	install -d debian/tmp/usr/share/pixmaps
	install -m 0644 debian/icon_mini_xcwcp.xpm debian/tmp/usr/share/pixmaps
	install -m 0644 debian/icon_xcwcp.xpm debian/tmp/usr/share/pixmaps

	install -d debian/tmp/usr/share/doc/libcw3
	install -d debian/tmp/usr/share/doc/libcw3-dev
	install -d debian/tmp/usr/share/doc/cw
	install -d debian/tmp/usr/share/doc/cwcp
	install -d debian/tmp/usr/share/doc/xcwcp

	dh_install --sourcedir=debian/tmp

	mkdir -p debian/cw/DEBIAN
	po2debconf debian/cw.templates > debian/cw/DEBIAN/templates
	install debian/cw.config debian/cw/DEBIAN/config

	mkdir -p debian/cwcp/DEBIAN
	po2debconf debian/cwcp.templates > debian/cwcp/DEBIAN/templates
	install debian/cwcp.config debian/cwcp/DEBIAN/config

	mkdir -p debian/xcwcp/DEBIAN
	po2debconf debian/xcwcp.templates > debian/xcwcp/DEBIAN/templates
	install debian/xcwcp.config debian/xcwcp/DEBIAN/config

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
